import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Vector;

public interface ControllerInterface
{
  public void addMathLib(MathLib oo);
    public void killMathLib(MathLib mathlibxx);
  public void addDiscreteDistribution(DiscreteDistribution oo);
    public void killDiscreteDistribution(DiscreteDistribution discretedistributionxx);
  public void addDistribution(Distribution oo);
    public void killDistribution(Distribution distributionxx);
  public void killAbstractDistribution(Distribution distributionxx);

  public void killAbstractDistribution(List distributionxx);

  public void addContinuousDistribution(ContinuousDistribution oo);
    public void killContinuousDistribution(ContinuousDistribution continuousdistributionxx);
  public void killAbstractContinuousDistribution(ContinuousDistribution continuousdistributionxx);

  public void killAbstractContinuousDistribution(List continuousdistributionxx);

  public void addTriangularDistribution(TriangularDistribution oo);
    public void killTriangularDistribution(TriangularDistribution triangulardistributionxx);
  public void addUniformDistribution(UniformDistribution oo);
    public void killUniformDistribution(UniformDistribution uniformdistributionxx);
  public void addDisttest(Disttest oo);
    public void killDisttest(Disttest disttestxx);
  public void addStatLib(StatLib oo);
    public void killStatLib(StatLib statlibxx);
  public void addNormalDist(NormalDist oo);
    public void killNormalDist(NormalDist normaldistxx);
  public void addStattest(Stattest oo);
    public void killStattest(Stattest stattestxx);
  public void addWelchTTest(WelchTTest oo);
    public void killWelchTTest(WelchTTest welchttestxx);
  public void addCliffsDelta(CliffsDelta oo);
    public void killCliffsDelta(CliffsDelta cliffsdeltaxx);
  public void addDeltatest(Deltatest oo);
    public void killDeltatest(Deltatest deltatestxx);
  public void addAndersonDarling(AndersonDarling oo);
    public void killAndersonDarling(AndersonDarling andersondarlingxx);
  public void addNormtest(Normtest oo);
    public void killNormtest(Normtest normtestxx);
  public void addKolmogorovSmirnov(KolmogorovSmirnov oo);
    public void killKolmogorovSmirnov(KolmogorovSmirnov kolmogorovsmirnovxx);
  public void addKstest(Kstest oo);
    public void killKstest(Kstest kstestxx);
  public void addWtest(Wtest oo);
    public void killWtest(Wtest wtestxx);
  public void addNormdist(Normdist oo);
    public void killNormdist(Normdist normdistxx);
}

